function out = optIscasComb (ratioX, ratioY, from, to)

if nargin < 4, to = 11; end
if nargin < 3, from = 1; end

%%%constants
dir = '/home/vandef1/vlsi/comb/';
filenames = { 'c17.bench.vct', 'c432.bench.vct', 'c499.bench.vct', 'c880.bench.vct', 'c1355.bench.vct', 'c1908.bench.vct', 'c2670.bench.vct', 'c3540.bench.vct', 'c5315.bench.vct', 'c6288.bench.vct', 'c7552.bench.vct' };
inputs = { 5, 36, 41, 60, 41, 33, 233, 50, 178, 32, 207 };

%%%validation
if ratioX < 0 || ratioX > 1
    error('ratioX out of range');
end
if ratioY < 0 || ratioY > 1
    error('ratioY out of range');
end
if ratioX > ratioY
    error('invalid ratios')
end

out = cell(1,to-from+1);

%%%loop-da-loop
for i=from:to
    n = inputs{i}*2;
    epochX = ceil(n*ratioX);
    epochY = ceil(n*ratioY);
    problemFile = [ dir filenames{i} ];
    out{i-from+1} = [ struct('key','epochX','value',num2str(epochX)) struct('key','epochY','value',num2str(epochY)) struct('key','problemFile','value',problemFile) ];
end

end
